Lazarus

Programming => Networking and Web Programming => Topic started by: JamesBond on March 14, 2020, 10:55:10 pm

Title: Error compiling fpCEF which is strange
Post by: JamesBond on March 14, 2020, 10:55:10 pm
I have been getting these errors which is frustrating

cef3/cef3types.pas(1032,3) Error: (3352) Enumeration symbols can only have values in the range of -2^31 to 2^31-1
cef3/cef3types.pas(1186,40) Error: (3352) Enumeration symbols can only have values in the range of -2^31 to 2^31-1
cef3/cef3types.pas(1189,36) Error: (3352) Enumeration symbols can only have values in the range of -2^31 to 2^31-1
cef3/cef3types.pas(1193,3) Error: (3352) Enumeration symbols can only have values in the range of -2^31 to 2^31-1
cef3/cef3types.pas(2418,1) Fatal: (10026) There were 4 errors compiling module, stopping
Fatal: (1018) Compilation aborted
fpc/bin/x86_64-linux/ppcx64 returned an error exitcode
Error: (lazarus) Compile package CEF3 3.3029.1: stopped with exit code 1

if anyone wondering CEF 3.3.3029 is the latest for fpCEF
Title: Re: Error compiling fpCEF which is strange
Post by: 440bx on March 14, 2020, 11:10:43 pm
I'm disappointed.  If the Soviets during the cold war had known that a few compiler error messages could baffle James Bond, the Queen would have been in trouble.
Title: Re: Error compiling fpCEF which is strange
Post by: JamesBond on March 14, 2020, 11:20:03 pm
I'm disappointed.  If the Soviets during the cold war had known that a few compiler error messages could baffle James Bond, the Queen would have been in trouble.

lol this isn't the first time i have used the same component however on this fresh OS install its being a ***** and not compiling >.>

btw Lazarus 2.1.0
and FPC version is 3.3.1
Title: Re: Error compiling fpCEF which is strange
Post by: JamesBond on March 15, 2020, 12:19:25 am
Aight so it has finally compiled but with FPC version 3.0.4 and Lazarus version 2.0.6
Title: Re: Error compiling fpCEF which is strange
Post by: 440bx on March 15, 2020, 12:24:59 am
Aight so it has finally compiled but with FPC version 3.0.4 and Lazarus version 2.0.6
Good.  James Bond is back, the Queen is safe. :)
Title: Re: Error compiling fpCEF which is strange
Post by: contle on October 15, 2020, 10:15:52 am
I just ran into the same problem (also CEF, same version), that made me think, why earlier versions of FP supported 64 bit enum types, and not anymore...
Title: Re: Error compiling fpCEF which is strange
Post by: PascalDragon on October 15, 2020, 10:35:46 am
Earlier versions did not support them. That it might have worked nevertheless was simply a bug/oversight. Enums only support the range Low(LongInt) .. High(LongInt).
TinyPortal © 2005-2018